<template>
    <div>
        <v-container>
            <v-row>
                <v-col sm="12" md="12" align-self="center" align="center" justify="center">
                    <v-card max-width="500">
                        <v-card-text>
                            <v-row>
                                <v-col align="center" align-self="center" justify="center" sm="12" md="12">
                                <h1>Se connecter à AutoShop</h1>
                                </v-col>
                            </v-row>
                            <v-row>
                                <v-col sm="12">
                                    <v-text-field 
                                    label="email"
                                    :rules="mailRules"
                                    hide-details="auto"></v-text-field>
                                </v-col>
                            </v-row>
                            <v-row>
                                <v-col sm="12">
                                    <v-text-field
                                    label="Mot de passe"
                                    type="password"
                                    hide-details="auto"
                                    ></v-text-field>
                                </v-col>
                            </v-row>
                            <v-row>
                                <v-col sm="6">
                                    <v-checkbox
                                    v-model="stay"
                                    label="rester connecté"
                                    color="primary"
                                    :value="true"
                                    hide-details
                                    ></v-checkbox>
                                </v-col>
                            </v-row>
                            <v-row >
                                <v-col sm="6" align="left">
                                    <a href="#"> Mot de passe oublié?</a>
                                </v-col>
                            </v-row>
                            <v-row>
                                <v-col sm="6" md="6">
                                    <v-btn class="mr-2 white--text" flat color="green">Se connecter</v-btn>
                                </v-col>
                                <v-col sm="6" md="6">
                                    <v-btn class="mr-2 white--text" flat color="secondary" to="/inscription">s'inscrire</v-btn>
                                </v-col>
                            </v-row>
                        </v-card-text>
                    </v-card>
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>
<script>// @ts-nocheck

export default {
    name: 'connexion',
    data:() => ({
        stay: null,
        mailRules: [
            value => !!value || 'Required.',
            value => (value || '').length <= 20 || 'Max 20 characters',
            value => {
            const pattern = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
            return pattern.test(value) || 'Invalid e-mail.'
            },
        ],
    }),
    methods:{

    }
};
</script>